<?php

/**
 * This is the model class for table "contratos_conversao_produtos".
 *
 * The followings are the available columns in table 'contratos_conversao_produtos':
 * @property integer $CCP_ID
 * @property varchar $CCP_DESCRICAO
 * @property integer $CCP_STATUS
 * @property timestamp $CCP_CREATED
 */
class ContratosConversaoProdutos extends GxActiveRecord {

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'contratos_conversao_produtos';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ContratoConversaoProduto|ContratosConversaoProdutos', $n);
    }

    public function rules()
    {
        return array(
            array('CCP_DESCRICAO', 'required', 'on' => 'create'),
            array('CCP_ID, CCP_DESCRICAO, CCP_STATUS', 'safe'),
        );
    }

    public function relations()
    {
        return array();
    }

    public static function representingColumn()
    {
        return 'CCP_ID';
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'CCP_ID'        => 'Código',
            'CCP_DESCRICAO' => 'Descrição',
            'CCP_STATUS'    => 'Status',
        );
    }

    public function beforeSave()
    {
        parent::beforeSave();

        if ($this->isNewRecord) {
            $this->CCP_CREATED = date('Y-m-d H:i:s');
        }
        return true;
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('CCP_ID', $this->CCP_ID);
        $criteria->compare('CCP_DESCRICAO', $this->CCP_DESCRICAO, true);
        $criteria->compare('CCP_STATUS', $this->CCP_STATUS);

        return new CActiveDataProvider($this, array(
                'criteria' => $criteria,
                'pagination' => array(
                    'pageSize' => 20,
                )
            )
        );
    }
}